Subject: Re: [PATCH 10/13] powerpc: check cache coherency of kernel vs firmware

From: David Gibson <[email-masked]>
Date: Mon, 14 May 2007 10:40:14 +1000

On Fri, May 11, 2007 at 05:57:35PM -0700, Mark A. Greer wrote:
> 
> From: Dale Farnsworth <[email-masked]>
> 
> check_cache_coherency() verifies that the cache coherency setting of
> the kernel (CONFIG_NOT_COHERENT_CACHE) matches that left by the firmware,
> as indicated by coherency-off device tree property.

This looks really bogus.  If the firmware reports a coherency state,
then presumably there's some hardware switch to turn coherency on or
off.  In which case, can't the kernel just toggle that switch to
whatever's appropriate for it?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson